GET

studentsonreport API

Retrieve and manage studentsonreport records from the Apps4Edu sync database.

Endpoint Path

GET /api/studentsonreport

CURL Example

curl "https://api.apps4education.co.uk/api/studentsonreport?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
    

Field Definitions

Field Type
rowHash char
studentID int
startDate datetime
endDate datetime
modifiedBy varchar
onReportReasonName text
onReportReasonDescription text
description text
includeAMPM varchar
conclusiveComment text
instant datetime
onReportReasonID int
onReportStudentID int
created_at timestamp
updated_at timestamp
school_id bigint

Response Body (Sample)

{
  "data": [
    {
      "rowHash": "example_value",
      "studentID": 101,
      "startDate": "example_value",
      "endDate": "example_value",
      "modifiedBy": "example_value",
      "onReportReasonName": "example_value",
      "onReportReasonDescription": "example_value",
      "description": "example_value",
      "includeAMPM": "example_value",
      "conclusiveComment": "example_value",
      "instant": "example_value",
      "onReportReasonID": 101,
      "onReportStudentID": 101,
      "created_at": "example_value",
      "updated_at": "example_value",
      "school_id": "example_value"
    }
  ]
}
                    

Query Parameters

api_token

Required. Your unique API key must be passed as a query string parameter.

school

Optional. A Bromcom school ID to restrict rows to one school.

page

Optional. Defaults to 1. Used to navigate through paginated results.

per_page

Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.